program takorgpetprog1;

var
    al,bl,cl,v1,v2,v3,v4,v5,v6:string;

    a,b,c,k,h,v,h1,h2,h3,h4,h5,h6:longint   ;

begin
    readln(a,b,c);
   str(a,al);
   str(b,bl) ;
   str(c,cl);



    v1:=(al+bl+cl)     ;
    v2:=(al+cl+bl);
    v3:=(bl+al+cl)   ;
    v4:=(bl+cl+al)   ;
    v5:=(cl+bl+al)   ;
    v6:=(cl+al+bl)   ;

val(v1,h1,k)  ;

if k>0 then writeln('Nije ti to broj, strucnjace.') ;
val(v2,h2,k)                ;
if k>0 then writeln('Nije ti to broj, strucnjace.') ;
val(v3,h3,k)               ;
if k>0 then writeln('Nije ti to broj, strucnjace.') ;
val(v4,h4,k)              ;
if k>0 then writeln('Nije ti to broj, strucnjace.') ;
val(v5,h5,k)             ;
if k>0 then writeln('Nije ti to broj, strucnjace.') ;
val(v6,h6,k)            ;
if k>0 then writeln('Nije ti to broj, strucnjace.') ;

   if h1> h then h:=h1 ;
   if h2> h then h:=h2 ;
   if h3> h then h:=h3 ;
   if h4> h then h:=h4 ;
   if h5> h then h:=h5 ;
   if h6> h then h:=h6 ;

     writeln(h)     ;


end.